Page 1 of 1

Warpinator on LM 19.x ?

Posted: Wed Jul 22, 2020 9:13 am
by MarkTheMorose
What would I need to do to install Warpinator on systems running 19.1 and 19.3? I'm not in a position yet to copy off masses of data, do a fresh install of 20, etc.

Thanks.

Re: Warpinator on LM 19.x ?

Posted: Wed Jul 22, 2020 12:03 pm
by JoeFootball
MarkTheMorose wrote: What would I need to do to install Warpinator on systems running 19.1 and 19.3?
See the PPA info in this blog post from Clem.

Re: Warpinator on LM 19.x ?

Posted: Wed Jul 22, 2020 6:52 pm
by Hugh Neutron
I got it working on default 18.04 Ubuntu by adding these libraries.

sudo add-apt-repository ppa:clementlefebvre/grpc

install Clem's packages for bionic, then install these manually using apt not gdebi

http://packages.linuxmint.com/pool/back ... _amd64.deb

http://packages.linuxmint.com/pool/back ... _amd64.deb

http://packages.linuxmint.com/pool/back ... _amd64.deb


https://www.linuxmint.com/tmp/blog/3890 ... .2_all.deb


Apt can install them, just place the .debs on the desktop and highlight the name

Code: Select all

sudo apt install ./nameofpackage.deb

Re: Warpinator on LM 19.x ?

Posted: Thu Jul 23, 2020 2:57 pm
by MarkTheMorose
I think I get all that, apart from the second bit:
Hugh Neutron wrote:
Wed Jul 22, 2020 6:52 pm

install Clem's packages for bionic,
What and where are Clem's packages, and how do I install them?

Thanks.

Re: Warpinator on LM 19.x ?

Posted: Thu Jul 23, 2020 3:05 pm
by MarkTheMorose
JoeFootball wrote:
Wed Jul 22, 2020 12:03 pm

See the PPA info in this blog post from Clem.
Thanks, that worked for 19.3. The only thing is it adds a lower version (1.0.2) than was installed on my LM 20 test PC (1.0.5). I'm not sure if the version has to be the same on all machines, but 2 machines with those 2 versions didn't connect properly. There seemed to be problems with my wi-fi yesterday, but I found that the 1.0.2 machine saw the 1.0.5, but not the other way around.

I've found a .deb for 1.0.6, which I'll try installing on those two machines, at least. (The LM 19.1 machines needs a bit more work.)